Skip to main content
GET
/
api
/
metricValues
/
v1
/
{modelMonitoringId}
/
{metric}
Retrieve metric values
curl --request GET \
  --url https://api.example.com/api/metricValues/v1/{modelMonitoringId}/{metric} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  },
  "metricValues": [
    {
      "referenceTimestamp": "<string>",
      "tags": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "value": 123
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelMonitoringId
string
required

ID of the monitored model

metric
string
required

Name of the metric to retrieve

Query Parameters

startingReferenceTimestampInclusive
string
required

Timestamp to filter metrics by referenceTimestamp >= startingReferenceTimestampInclusive. Timestamp should follow the RFC3339 format with timezone e.g. 2013-07-01T17:55:13-07:00

endingReferenceTimestampInclusive
string
required

Timestamp to filter metrics by referenceTimestamp <= endingReferenceTimestampInclusive. Timestamp should follow the RFC3339 format with timezone e.g. 2013-07-01T17:55:13-07:00

Response

Success

metadata
object
required
metricValues
object[]
required